<script setup>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import { useForm,Head } from '@inertiajs/vue3';
import { ref } from 'vue';
import BackMobile from "@/Components/Items/Auth/BackMobile.vue";

const confirmPasswordCheck = ref(false);

let form = useForm({
    oldPassword: '',
    password: '',
    secondPassword: '',
});

let errors = ref({
    isHave: false,
    error: ''
})

let submit = () => {

    if(form.password !== form.secondPassword){
        confirmPasswordCheck.value = true;
    }else{
        form.submit('post', route('dashboard.profile.edit.password'),{
            preserveScroll: true,
            onSuccess: () => {
            },
            onError: (res) => {
                errors.value.isHave = true;
                errors.value.error = res.PasswordsDontMatch;
            }
        })
    }
};
</script>

<template>
    <GuestLayout>
        <Head title="Изменить пароль" />
        <BackMobile/>
        <section class="auth">
            <img class="reg__background" src="/img/authBackDark.svg" alt="">
            <img class="reg__background dark" src="/img/authBack.svg" alt="">
            <div class="container">
                <div class="auth__inner">
                    <p class="auth__title">Восстановить пароль</p>
                    <p class="auth__subtitle">Пожалуйста введите данные</p>
                    <form @submit.prevent="submit" class="auth__form bigMt" >
                        <input v-model="form.oldPassword" class="auth__input" type="password" placeholder="Введите старый пароль" required>
                        <input v-model="form.password" class="auth__input" type="password" placeholder="Введите пароль" required>
                        <input v-model="form.secondPassword" class="auth__input" type="password" placeholder="Введите пароль повторно" required>
                        <p v-if="confirmPasswordCheck" class="auth__error">Пароли не совподают</p>
                        <p v-if="errors.isHave" class="auth__error">{{ errors.error }}</p>
                        <button class="auth__button button effect" type="submit">Изменить пароль</button>
                    </form>
                </div>
            </div>
        </section>
    </GuestLayout>
</template>


